#!/usr/bin/perl
use strict;
use CGI;
use CGI::Carp qw( fatalsToBrowser );
use lib "/home/kurs/eclipse-workspace/Bucherei";

use Ausleiheverwaltung;
use Medienverwaltung;
use Nutzerverwaltung;

Nutzerverwaltung::laden();

my $cgi = new CGI;
if (!$cgi->param) {
	print $cgi->redirect('/kurs/eclipse-workspace/Bucherei/ausleihe_anlegen.html');
	exit;
}
my $signatur = $cgi->param('signatur');
my $nutzerid = $cgi->param('nutzerid');

my $mv = new Medienverwaltung;

my $medium = $mv->lesen($signatur);
my $nutzer = Nutzerverwaltung::lesen($nutzerid);

my $fehlertext;

	if (defined($medium)) {
	unless (defined $nutzer) {
		$fehlertext = "Nutzer nicht im System";
	}
} else {
	if (defined $nutzer) {
		$fehlertext = "Medium nicht im System";
	} else {
		$fehlertext = "Medium und Nutzer nicht im System";
	}
}

unless (defined $fehlertext) {
	my $rc = Ausleiheverwaltung::anlegen($signatur, $nutzerid);
	if ($rc) {
		print $cgi->redirect('/kurs/eclipse-workspace/Bucherei/ausleihen_anzeigen.cgi');
		exit;
	} else {
		$fehlertext = "Ausleihe konnte nicht in die DB geschrieben werden";
	}
}

print $cgi->header;
print <<"ENDE";
<html><head>
<title>Fehler</title>
</head>
<body>
<h3>Es trat ein Fehler auf:</h3>
<p>$fehlertext</p>
</body>
</html>
ENDE



